Bug 828788 - [abrt] evolution-3.4.1-2.fc17: vee_folder_dispose: Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
[abrt] evolution-3.4.1-2.fc17: vee_folder_dispose: Process /usr/bin/evolution...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:915bfbfb1dfd355711742661ddf...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-05 07:43 EDT by Ed Avis
Modified: 2013-07-31 23:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:42:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (45.69 KB, text/plain)
2012-06-05 07:43 EDT, Ed Avis
no flags Details
File: gconf_subtree (4.37 KB, text/plain)
2012-06-05 07:43 EDT, Ed Avis
no flags Details
File: maps (68.00 KB, text/plain)
2012-06-05 07:43 EDT, Ed Avis
no flags Details
File: dso_list (14.59 KB, text/plain)
2012-06-05 07:43 EDT, Ed Avis
no flags Details
File: build_ids (6.13 KB, text/plain)
2012-06-05 07:43 EDT, Ed Avis
no flags Details

  None (edit)
Description Ed Avis 2012-06-05 07:43:13 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        evolution
comment:        Upgraded from Fedora 14 to 17; Evolution crashes when given the contents of the old .local/share/evolution
crash_function: vee_folder_dispose
executable:     /usr/bin/evolution
kernel:         3.3.7-1.fc17.x86_64
pid:            4455
pwd:            /home/paul
time:           Tue 05 Jun 2012 12:31:19 PM BST
uid:            1001
username:       paul

backtrace:      Text file, 46784 bytes
build_ids:      Text file, 6273 bytes
dso_list:       Text file, 14937 bytes
gconf_subtree:  Text file, 4476 bytes
maps:           Text file, 69631 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/system/prefdm.service
:2:cpuset:/
:1:name=systemd:/system/prefdm.service

core_backtrace:
:8aae5d2b1beaec6e62bb814ca5893d6e8ac46572 0xc10dd - libcamel-1.2.so.33 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x144f8 g_object_unref libgobject-2.0.so.0 -
:8aae5d2b1beaec6e62bb814ca5893d6e8ac46572 0xc1ce0 - libcamel-1.2.so.33 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x145db g_object_unref libgobject-2.0.so.0 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0x592ba g_initable_new_valist libgio-2.0.so.0 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0x59349 g_initable_new libgio-2.0.so.0 -
:8aae5d2b1beaec6e62bb814ca5893d6e8ac46572 0x9c1f3 - libcamel-1.2.so.33 -
:6788832d44a9cfbfc5b009f7e3e27bd94c553c87 0x14672 - libemail-engine.so -
:401d218b1db0722c75d121d9abb53c6daeaf117f 0x534a4 - libevolution-mail.so -
:8aae5d2b1beaec6e62bb814ca5893d6e8ac46572 0x9a4c3 camel_session_add_service libcamel-1.2.so.33 -
:6788832d44a9cfbfc5b009f7e3e27bd94c553c87 0x1556a - libemail-engine.so -
:401d218b1db0722c75d121d9abb53c6daeaf117f 0x54261 - libevolution-mail.so -
:31243d0d107bba586a96433c76c87a26db1e826c 0x161e3 g_object_newv libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x16560 g_object_new_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x16894 g_object_new libgobject-2.0.so.0 -
:401d218b1db0722c75d121d9abb53c6daeaf117f 0x3d2c5 - libevolution-mail.so -
:de050d01d7fe126c18138fb94b7e18e2b3447532 0x14cd0 - libevolution-module-mail.so -
:31243d0d107bba586a96433c76c87a26db1e826c 0x161e3 g_object_newv libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x16560 g_object_new_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x16894 g_object_new libgobject-2.0.so.0 -
:4ce5d237811776cdfcb3a7e533e6772bf24eb925 0x64f5 - libebackend-1.2.so.2 -
:4ce5d237811776cdfcb3a7e533e6772bf24eb925 0x830a e_type_traverse libebackend-1.2.so.2 -
:4ce5d237811776cdfcb3a7e533e6772bf24eb925 0x82ed e_type_traverse libebackend-1.2.so.2 -
:4ce5d237811776cdfcb3a7e533e6772bf24eb925 0x82ed e_type_traverse libebackend-1.2.so.2 -
:4ce5d237811776cdfcb3a7e533e6772bf24eb925 0x675c e_extensible_list_extensions libebackend-1.2.so.2 -
:d190895bcb41cd41638f5e5fba391e3d6961482a 0x1ac80 e_shell_load_modules libeshell.so -
:968f2b54347564eb2c26e58cf41789ebbec97088 0x2275 main [exe] -

environ:
:HOSTNAME=bone.membled.com
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/home/paul/.cache/keyring-PcHEPe
:IMSETTINGS_MODULE=none
:USER=paul
:USERNAME=paul
:MAIL=/var/spool/mail/paul
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/paul/.local/bin:/home/paul/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/paul
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=23901
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/paul
:SHLVL=1
:LOGNAME=paul
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-ikZyiLxiNn,guid=2392bb248dfc868e13a3eb990000439e
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-paul-9sQsXs/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/23905,unix/unix:/tmp/.ICE-unix/23905
:SSH_AUTH_SOCK=/home/paul/.cache/keyring-PcHEPe/ssh
:GPG_AGENT_INFO=/home/paul/.cache/keyring-PcHEPe/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/evolution.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=4455
:DESKTOP_STARTUP_ID=gnome-shell-24106-bone.membled.com-evolution-12_TIME156560233

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31486                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31486                31486                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/paul/.xsession-errors
:pos:	16009
:flags:	0102002
:2:/home/paul/.xsession-errors
:pos:	16009
:flags:	0102002
:3:socket:[30953956]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[30953961]
:pos:	0
:flags:	02004002
:6:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:7:socket:[30953993]
:pos:	0
:flags:	02004002
:8:socket:[30954016]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:socket:[30953164]
:pos:	0
:flags:	02004002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:13:/home/paul/.pki/nssdb/cert9.db
:pos:	2048
:flags:	02100002
:14:/var/tmp/etilqs_5GJpsE6Wu7HOXnu (deleted)
:pos:	28
:flags:	02100002
:15:/var/tmp/etilqs_R1Nq0dan6NyMpO1 (deleted)
:pos:	2056
:flags:	02500002
:16:/var/tmp/etilqs_U5vR7wTYmCdfvxH (deleted)
:pos:	2048
:flags:	02500002
:17:/home/paul/.pki/nssdb/key4.db
:pos:	40
:flags:	02100002
:18:/var/tmp/etilqs_ZYhdDQlZ2LwIBtQ (deleted)
:pos:	28
:flags:	02100002
:19:/var/tmp/etilqs_1WigGLTdg4LkYQ7 (deleted)
:pos:	2056
:flags:	02500002
:20:/var/tmp/etilqs_gyEmExu0icsbSP0 (deleted)
:pos:	2048
:flags:	02500002
:21:/etc/pki/nssdb/cert9.db
:pos:	2048
:flags:	02100000
:22:/var/tmp/etilqs_gxuvClgJeYK7hdr (deleted)
:pos:	28
:flags:	02100002
:23:/var/tmp/etilqs_NHyQsL8o8rRIRGM (deleted)
:pos:	2048
:flags:	02500002
:24:/etc/pki/nssdb/key4.db
:pos:	40
:flags:	02100000
:25:/var/tmp/etilqs_FgxedtFKYIJainT (deleted)
:pos:	28
:flags:	02100002
:26:/var/tmp/etilqs_hfFAxKJIUybmO4c (deleted)
:pos:	2048
:flags:	02500002

var_log_messages:
:Jun  5 12:31:19 bone kernel: [156563.092423] evolution[4455]: segfault at 40 ip 00000038346c10dd sp 00007fffecea7bf0 error 4 in libcamel-1.2.so.33.0.0[3834600000+101000]
:Jun  5 12:31:19 bone abrt[4461]: Saved core dump of pid 4455 (/usr/bin/evolution) to /var/spool/abrt/ccpp-2012-06-05-12:31:19-4455 (35934208 bytes)

xsession_errors:
:  mv /home/paul/.evolution/mail/local/folders.db /home/paul/.local/share/evolution/mail/local/folders.db
:  rmdir /home/paul/.evolution/mail/local
:  rmdir /home/paul/.evolution/mail
:  mv /home/paul/.evolution/mail/local/folders.db /home/paul/.local/share/evolution/mail/local/folders.db
:  rmdir /home/paul/.evolution/mail/local
:  rmdir /home/paul/.evolution/mail
:(evolution-alarm-notify:24126): evolution-alarm-notify-WARNING **: alarm.c:254: Requested removal of nonexistent alarm!
:(evolution:24648): GLib-GObject-WARNING **: invalid unclassed pointer in cast to `GObject'
:(evolution:24648): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
:(evolution:24648): GLib-GObject-WARNING **: invalid uninstantiatable type `(null)' in cast to `GObject'
:(evolution:24648): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
:(evolution-alarm-notify:24126): evolution-alarm-notify-WARNING **: alarm.c:254: Requested removal of nonexistent alarm!
:(evolution:24648): GLib-GObject-WARNING **: invalid unclassed pointer in cast to `GObject'
:(evolution:24648): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
:(evolution:24648): GLib-GObject-WARNING **: invalid uninstantiatable type `(null)' in cast to `GObject'
:(evolution:24648): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
:(evolution:24648): Gtk-CRITICAL **: gtk_render_frame_gap: assertion `xy1_gap <= width' failed
:(evolution:24648): Gtk-CRITICAL **: gtk_render_frame_gap: assertion `xy1_gap <= width' failed
:(evolution:24648): Gtk-CRITICAL **: gtk_render_frame_gap: assertion `xy1_gap <= width' failed
:(evolution:24648): Gtk-CRITICAL **: gtk_render_frame_gap: assertion `xy1_gap <= width' failed
:(evolution:24648): Gtk-CRITICAL **: gtk_render_frame_gap: assertion `xy1_gap <= width' failed
:(evolution:24648): Gtk-CRITICAL **: gtk_render_frame_gap: assertion `xy1_gap <= width' failed
:(evolution:24648): Gtk-CRITICAL **: gtk_render_frame_gap: assertion `xy1_gap <= width' failed
:(evolution:24648): Gtk-CRITICAL **: gtk_render_frame_gap: assertion `xy1_gap <= width' failed
:(evolution:24648): Gtk-CRITICAL **: gtk_render_frame_gap: assertion `xy1_gap <= width' failed
:(evolution:24648): Gtk-CRITICAL **: gtk_render_frame_gap: assertion `xy1_gap <= width' failed
:(evolution:24648): Gtk-CRITICAL **: gtk_render_frame_gap: assertion `xy1_gap <= width' failed
:(evolution:24648): Gtk-CRITICAL **: gtk_render_frame_gap: assertion `xy1_gap <= width' failed
:(evolution:24648): Gtk-CRITICAL **: gtk_render_frame_gap: assertion `xy1_gap <= width' failed
:(evolution:24648): GLib-GObject-WARNING **: invalid uninstantiatable type `(null)' in cast to `GObject'
:(evolution:24648): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
:** (evolution:4455): CRITICAL **: mail_session_add_local_store: Permission denied
Comment 1 Ed Avis 2012-06-05 07:43:20 EDT
Created attachment 589498 [details]
File: backtrace
Comment 2 Ed Avis 2012-06-05 07:43:22 EDT
Created attachment 589499 [details]
File: gconf_subtree
Comment 3 Ed Avis 2012-06-05 07:43:26 EDT
Created attachment 589500 [details]
File: maps
Comment 4 Ed Avis 2012-06-05 07:43:29 EDT
Created attachment 589501 [details]
File: dso_list
Comment 5 Ed Avis 2012-06-05 07:43:31 EDT
Created attachment 589502 [details]
File: build_ids
Comment 6 Ed Avis 2012-06-05 07:47:33 EDT
This might be the reason:

** (evolution:4926): CRITICAL **: mail_session_add_local_store: Permission denied
Comment 7 Milan Crha 2012-06-06 03:21:06 EDT
(In reply to comment #6)
> This might be the reason:
> 
> ** (evolution:4926): CRITICAL **: mail_session_add_local_store: Permission
> denied

Thanks for a bug report. I cannot tell from the backtrace, but maybe it is.
Did it help to fix folder/file permissions?
Comment 8 Fedora End Of Life 2013-07-03 20:13:36 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2013-07-31 23:42:30 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.